﻿* {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    box-sizing: border-box;
}

header {
    background-color: black;
    color: white;
    text-align: center;
    padding: 5px;
    width: 100%;
}

nav {
    background-color: #eeeeee;
    width: 100%;
}

section {
    padding: 10px;
    width: 100%;
}

aside {
    background-color: #cccccc;
    padding: 5px;
    width: 100%;
}

footer {
    background-color: black;
    color: white;
    text-align: center;
    padding: 5px;
    margin-top: auto;
    width: 100%;
}

nav ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

nav li a {
    display: block;
    color: white;
    padding: 5px;
    text-decoration: none;
    text-align: center;
    background-color: dimgrey;
    padding: 5px;
}

nav li a:hover {
    background-color: #555;
    color: white;
}

#flex {
    display: flex;
    flex-wrap: wrap;
    min-height: 100vh;
}

img {
    width: 550px;
    max-width: 100%;
}
iframe{
    max-width:100%;
}

@media only screen and (min-width: 768px) {
    nav {
        width: 25%;
    }

    section {
        width: 75%;
    }

    aside {
        width: 100%;
    }
}

@media only screen and (min-width: 992px) {
    nav {
        width: 25%;
        height: fit-content;
    }

    section {
        width: 58%;
    }

    aside {
        width: 17%;
        height: fit-content;
    }
}

@media only screen and (min-width: 1200px) {
    #nav ul {
        display: flex;
    }

    #nav ul li {
        margin-right: 20px;
    }
}